LIGHTNING-DISABLEINVOICEREQUEST(7)

NAME

lightning-disableinvoicerequest -- Command for removing an invoice request

SYNOPSIS

(WARNING: experimental-offers only)

disableinvoicerequest invreq_id

DESCRIPTION

The disableinvoicerequest RPC command disables an invoice_request, so that no further invoices will be accepted (and thus, no further payments made)..

We currently don't support deletion of invoice_requests, so they are not forgotten entirely (there may be payments which refer to this invoice_request).

RETURN VALUE

Note: the returned object is the same format as listinvoicerequest.

On success, an object is returned, containing:

•   invreq_id (hash): the SHA256 hash of all invoice_request fields less than 160

•   active (boolean): whether the invoice_request is currently active (always false)

•   single_use (boolean): whether the invoice_request will become inactive after we pay an invoice for it

•   bolt12 (string): the bolt12 string starting with lnr

•   used (boolean): whether the invoice_request has already been used

•   label (string, optional): the label provided when creating the invoice_request

AUTHOR

Rusty Russell <rusty@rustcorp.com.au> is mainly responsible.

SEE ALSO

lightning-invoicerequest(7), lightning-listinvoicerequest(7).

RESOURCES

Main web site: https://github.com/ElementsProject/lightning